### Function Macro

# GLib scanner_foreach_symbol

deprecated: 2.2 since: 2.0

#### Declaration

    #define g_scanner_foreach_symbol (
      scanner,
      func,
      data
    )

#### Description

Calls a function for each symbol in the default scope.

Available since: 2.0

Deprecated since: 2.2

Use `g_scanner_scope_foreach_symbol()` instead.

This function is not directly available to language bindings.

#### Parameters

`scanner`

  Type: `-`

  A `GScanner`.

`func`

  Type: `-`

  The function to call with each symbol.

`data`

  Type: `-`

  Data to pass to the function.